Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 680 - Bug in lilo setup when multiple Dos partitions exist
Summary: Bug in lilo setup when multiple Dos partitions exist
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 5.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-01-04 03:12 UTC by dave
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-03-11 16:52:22 UTC


Attachments (Terms of Use)

Description dave 1999-01-04 03:12:28 UTC
When installing Redhat Linux 5.2 onto a machine with
multiple DOS partitions (common nowadays due to
manufacturers setting up PCS with multiple Windoze
partitions on the 8+ Gig drives).

When the installer attempts to install lilo, it mistakenly
creates two entries for DOS partitions, but fails to give
the user the option to name the  NON boot one, and will
always fail.  The only way I have found around this is to
manually edit the lilo.conf that the 5.2 installer creates,
and remove the improper entry, and to rerun lilo.  It
appears the installer notices the multiple Dos partitions
but only assigns a name to the bootable one, Peraps a check
to see which partitions have a bootable flag is missing.
This bug only seems to exist when more than 1 DOS or Fat32
partitions exist.

Comment 1 David Lawrence 1999-01-04 20:07:59 UTC
Please send us a email containing a dump of your partition
information. Preferredby exactly what shows up when you use the 'p'
command in fdisk. This will help use determine what may be causing the
problem.

Comment 2 David Lawrence 1999-03-11 16:41:59 UTC
Close due to lack of response. It may be reopened if needed.


Note You need to log in before you can comment on or make changes to this bug.